Last modified: 2012-04-16 09:16:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26208 - Mark directionality of interlanguage links
Mark directionality of interlanguage links
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2010-12-02 19:24 UTC by Amir E. Aharoni
Modified: 2012-04-16 09:16 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
a screenshot of the article Moscow in he.wikipedia (14.69 KB, image/png)
2011-01-09 11:32 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2010-12-02 19:24:12 UTC
Several language names of Wikimedia projects have parentheses in their names: Беларуская (тарашкевіца), Norsk (nynorsk), Norsk (bokmål). In RTL wikis the parentheses are displayed incorrectly.

Specifying direction for all languages names is probably not needed, because they usually don't have punctuation, but at least these language names should be marked as "direction: ltr, text-align: right".

(keywords to make this bug easily findable: interwiki bidi rtl interlanguage)
Comment 1 Niklas Laxström 2011-01-09 11:19:16 UTC
They are displayed correctly for me. Please give an example where they do not work.
Comment 2 Amir E. Aharoni 2011-01-09 11:32:37 UTC
Created attachment 7964 [details]
a screenshot of the article Moscow in he.wikipedia

Notice how Беларуская (тарашкевица) is written.

Firefox 3.6.13 on XP.
Comment 3 Niklas Laxström 2011-01-09 13:11:30 UTC
Used the same fix as used on some of the languages already, fixed in r79896.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links